Bug 864925 - Glyph corruption with switch user
Glyph corruption with switch user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 08:04 EDT by Robert de Rooy
Modified: 2013-01-27 04:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-27 04:02:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with severe glyph corruption (784.59 KB, image/png)
2012-10-10 08:04 EDT, Robert de Rooy
no flags Details

  None (edit)
Description Robert de Rooy 2012-10-10 08:04:40 EDT
Created attachment 624822 [details]
screenshot with severe glyph corruption

Description of problem:
ThinkPad T410 with Intel IronLake graphics

Using the Switch User function in Gnome, causes Glyph corruption.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.20.8-1.fc17.x86_64
kernel-3.5.6-1.fc17.x86_64

How reproducible:
The corruption may not be instantly noticeable, it may take a switch or two to occur. Also, it does not seem to effect the Gnome Shell itself, but it does effect Firefox and terminal windows.

Steps to Reproduce:
1. Login to Gnome Shell
2. Switch User
3. launch firefox and browse a bit
4. Logout
5. switch back to the first user
  
Actual results:
Glyph corruption. Severity of the corruption depends, sometimes it is minimal, other times it can be quite severe.

Expected results:
No glyph corruption

Additional info:
This corruption was introduced with an update along the way, as I did not experience it on F17 without updates.

There are no errors in the kernel or xorg log files
Comment 1 Jean-Philippe Leboeuf 2012-11-02 05:04:33 EDT
Description: 
Same kind of problem here, corrupted glyphs (or disappearing glyphs) with Firefox and Terminal, but also gedit. Problem appears progressively, but faster when locking screen or suspending a lot.

Version-Release number of selected component (if applicable): 
xorg-x11-drv-intel / x86_64 / 2.20.8 / 1.fc17
kernel / x86_64 / 3.6.3 / 1.fc17

Hardware: 
Integrated Intel GMA X4500 GPU 

Additional info: 
I think also that I was not experiencing this glyph corruption a few updates away. But a few updates away, I was dealing with another bug in xorg-x11-drv-intel, "Bug 845803 - wrong monitor resolution on wake from suspend with kernel 3.5.0-2.fc17.x86_64" <https://bugzilla.redhat.com/show_bug.cgi?id=845803>.
Comment 2 Jean-Philippe Leboeuf 2012-11-20 11:32:24 EST
Nomore problems at this time...

Version-Release number of selected component (if applicable): 
xorg-x11-drv-intel / x86_64 / 2.20.10 / 2.fc17
kernel / x86_64 / 3.6.6 / 1.fc17

I do not know if it's linked, but I get blank text with Firefox inside the URL dropdown of the navigation toolbar, from session start.
Comment 3 Robert de Rooy 2013-01-27 04:02:43 EST
With recent updates the problem no longer occurs, as such closing this bug report.

Note You need to log in before you can comment on or make changes to this bug.